Function
createIntervalTree
Create an interval tree.
createIntervalTree(TGraph &g, TPropertyMap &pm, TIntervals &intervals, Tag<TSpec> const tag)
createIntervalTree(TGraph &g, TPropertyMap &pm, TIntervals &intervals)
createIntervalTree(TGraph &g, TPropertyMap &pm, TIntervals &intervals, center, tag)
createIntervalTree(TGraph &g, TPropertyMap &pm, TIntervals &intervals, center)
Include Headers
seqan/misc/misc_interval_tree.h
Parameters

g | DirectedGraph to create interval tree in. Types: Graph
pm | Property map to use for the created interval tree. Types: PropertyMap
intervals | Container of intervals. Types: String
tag | Tag for tree construction method. RandomCenter or IntervalTree CentersTag.ComputeCenter Default: Tag.IntervalTree Centers.tag.ComputeCenter

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47